Page MenuHomeFreeBSD

hwpmc: don't validate capabilities in allocation method
ClosedPublic

Authored by mhorne on Aug 2 2021, 9:09 PM.

Details

Summary

These checks were inconsistently applied across the various hwpmc
classes. The condition is already checked by the generic code in
hwpmc_mod.c, so remove them.

Test Plan

Tinderboxed.

Diff Detail

Repository
rS FreeBSD src repository - subversion
Lint
Lint OK
Unit
No Unit Test Coverage
Build Status
Buildable 40999
Build 37888: arc lint + arc unit

Event Timeline

mhorne requested review of this revision.Aug 2 2021, 9:09 PM

Some existing cases returned EPERM for the != caps cases?

Some existing cases returned EPERM for the != caps cases?

Yes exactly.

Although, I just noticed the generic allocation code in hwpmc_mod.c checks the capabilities before any of these class-specific checks, so they are more or less useless. I will update this review to just remove them altogether.

The relevant line is here: https://cgit.freebsd.org/src/tree/sys/dev/hwpmc/hwpmc_mod.c#n3935

Switch to just removing the existing redundant capability checks.

mhorne retitled this revision from hwpmc: consistently validate capabilities in pcd_allocate_pmc() to hwpmc: don't validate capabilities in allocation method.Aug 11 2021, 4:43 PM
mhorne edited the summary of this revision. (Show Details)
This revision was not accepted when it landed; it landed in state Needs Review.Aug 30 2021, 7:16 PM
This revision was automatically updated to reflect the committed changes.